<?php

if (!is_callable("gnupg_init")) {
    fprintf(STDERR, "Error: The PHP GnuPG extension is not installed.\n\n");
    if (PHP_VERSION_ID >= 7) {
        fprintf(STDERR, "Resolve using pecl:\n  sudo pecl install gnupg-1.4.0RC1\n");
        fprintf(STDERR, "  echo 'extension=gnupg.so' | sudo tee /etc/php/7.0/mods-available/gnupg.ini\n");
        fprintf(STDERR, "  sudo phpenmod gnupg\n");
    } else {
        fprintf(STDERR,"  * Debian/Ubuntu: Resolve with 'sudo apt-get install php5-gnupg'\n");
        fprintf(STDERR,"  * Any distro: Resolve with 'sudp pecl install gnupg', follow instructions to enable.\n");
    }
    die();
}
